/**Begin D:\PDM_UPGRADE\PDM1\IFM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_IFM_BIZDEALBILL_DEPOSIT_E' AND KSQL_COL_NAME IN ('FSOURCEBILLNO')) 
 ALTER TABLE T_IFM_BIZDEALBILL_DEPOSIT_E ADD (FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_BIZDEALBILL_DEPOSIT_R') 
 CREATE TABLE T_IFM_BIZDEALBILL_DEPOSIT_R (
FID BIGINT DEFAULT 0 NOT NULL,
FREVENUESORT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRESTENDDATE DATETIME,
FPRESTARTDATE DATETIME,
FREVENUERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREVENUEDATE DATETIME,
FLASTREVENUEDATE DATETIME,
FRECACCOUNT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREVENUESCHEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\IFM_table.sql **/
